%define tiarra tiarra
%define tiarra_confdir %{_sysconfdir}/%{tiarra}
%define tiarra_logdir %{_localstatedir}/log/%{tiarra}
Summary: Tiarra - IRC Proxy software
Summary(ja): Tialla - IRC 用中継/クライアントプログラム
Name: %{tiarra}
Version: 20100212
Release: 2%{?_dist_release}
URL: http://www.clovery.jp/%{tiarra}/
Source0: http://www.clovery.jp/tiarra/archive/2010/02/%{tiarra}-%{version}.tar.bz2
Source1: %{tiarra}-vine-sample.conf
Source2: %{tiarra}-init.sh
Source3: %{tiarra}-vine.conf
Patch0: %{tiarra}-%{version}-vine.patch
License: GPL+ or Artistic
Group: Applications/System
Requires: perl >= 5.6.0
Requires(post): chkconfig
Requires(preun): chkconfig, initscripts
Requires(postun): initscripts
BuildArch: noarch
Autoreq: no
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
Packager: miyabi owa

%description
Tiarra is pure-perl irc proxy(or bot) software, with single-thread,
multi-io, object-oriented framework. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
cp %{SOURCE1} .

%build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
install -m 755 %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
cp -af bundle main module  ${RPM_BUILD_ROOT}%{_datadir}/%{name}

## for deamon
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
install -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/%{name}-vine-sample.conf
mkdir -p ${RPM_BUILD_ROOT}%{tiarra_logdir}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
if [ $1 == 1 ]; then
  /sbin/chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ]; then
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
  service %{name} condrestart
fi


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog ChangeLog.svn HACKING INSTALL LICENSE NEWS
%doc *.conf doc
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/%{name}-vine-sample.conf
%defattr(-, root, root)
%{_sysconfdir}/rc.d/init.d/%{name}
%dir %{tiarra_logdir}


%changelog
* Thu Dec 09 2010 Shu KONNO <owa@bg.wakwak.com> 20100212-2
- initial build for VineSeed
  - added tiarra-20100212-vine.patch (by Masahiro INOUE)
  - added tiarra-vine-sample.conf (by Masahiro INOUE)
  - added tiarra-init.sh
  - added tiarra-vine.conf

